Skip to main content
POST
Create a mass beneficiary instruction

Headers

Authorization
string
required

The access token.

Query Parameters

client_id
string
required

The identifier of a client.

Body

application/json

The list of beneficiaries to create.

bank_country_code
string
required

The ISO 3166-1 alpha-2 code of the bank's country.

Pattern: [A-Z]{2}
bank_currency_code
string
required

The ISO 4217 code of the bank account's currency.

Pattern: [A-Z]{3}
country_code
string
required

The ISO 3166-1 alpha-2 code of the beneficiary's country.

Pattern: [A-Z]{2}
email_notification
boolean
required

Whether the beneficiary should receive email notification of payments.

name
string
required

The name of the beneficiary.

account_number
string

The account number of the bank account.

bank_address_line_1
string

The first address line of the bank.

bank_identifier
string

The identifier of the bank.

bank_name
string

Name of the bank account holder.

correspondent_account
string

The account for the correspondant account of the bank.

correspondent_swift_code
string

The SWIFT code for the correspondant account of the bank.

iban
string

The IBAN of the bank account.

inn
string

The INN of the bank account.

kbk
string

The KBK of the bank account.

kio
string

The KIO of the bank account.

kpp
string

The KPP of the bank account.

purpose_of_payment
enum<string>

Text explaining the purpose of payment. Required by the Central Bank for all payments sent to China (CHN) in the Chinese Renminbi (CNY) currency or United Arab Emirates in any currency (GDE to RDA) [Coming soon].

Available options:
/CGODDR/,
/CGODDR/PART/,
/CGODDR/RETN/,
/CSTRDR/,
/CSTRDR/PART/,
/CSTRDR/RETN/,
/COCADR/,
/COCADR/RTN/,
/CCTFDR/,
/CCTFDR/PART/,
/CCTFDR/RETN/,
/CCDNDR/,
/CCDNDR/RTN/,
GDE,
GDI,
GMS,
STS,
ATS,
OTS,
STR,
SCO,
INS,
FIS,
IPC,
TCS,
ITS,
IFS,
RDS,
PMS,
TTS,
PRS,
GOS,
SAL,
IGD,
IID,
PIP,
PRR,
DOE,
ISH,
ISL,
ISS,
IOL,
IOD,
GRI,
CHC,
EDU,
ALW,
AES,
LAS,
OVT,
TKT,
SAA,
COP,
COM,
EOS,
BON,
PEN,
UTL,
DCP,
LND,
LIP,
IPO,
POR,
RNT,
LNC,
EMI,
DIV,
ACM,
CCP,
POS,
MCR,
CIN,
TOF,
IGT,
OAT,
SVI,
SVO,
SVP,
MWI,
MWO,
MWP,
PRP,
PRW,
IRP,
IRW,
CEA,
PPA,
DSF,
DLF,
FSA,
FIA,
DSA,
DLA,
FDA,
AFA,
SLA,
LLA,
LEA,
RFS,
TCR,
CEL,
PPL,
LDS,
LDL,
FSL,
FIL,
DSL,
DLL,
FDL,
AFL,
SLL,
LLL,
LEL,
RLS,
TCP,
TAX,
REL,
RDL,
REA,
RDA
reason_for_trade
string

The reason for trade of the bank account.

reference_information
string

The reference information of the bank account.

russian_central_bank_account
string

The Russian central account number of the bank account.

swift_code
string

The SWIFT code of the bank account.

vo
string

The VO of the bank account.

address_line_1
string

The first address line of the beneficiary.

apartment_office_number
string

The apartment/office number of the beneficiary. Does not apply to Ebury Mass Payments customers.

Maximum string length: 70
beneficiary_reference
string

The reference for the beneficiary.

Maximum string length: 255
Pattern: ^[\sa-zA-Z0-9\d,\.:'\+\(\)\?'\-/]*$
building_number
string

The building number of the beneficiary. Does not apply to Ebury Mass Payments customers.

Maximum string length: 16
city
string

The city of the beneficiary. Does not apply to Ebury Mass Payments customers.

Maximum string length: 35
email_addresses
string<email>[]

The list of beneficiary's email addresses.

floor
string

The floor of the beneficiary. Does not apply to Ebury Mass Payments customers.

Maximum string length: 70
post_code
string

The post code of the beneficiary.

state_region
string

The state/region of the beneficiary. Does not apply to Ebury Mass Payments customers.

Maximum string length: 35
street_name
string

The street name of the beneficiary. Does not apply to Ebury Mass Payments customers.

Maximum string length: 70

Response

Mass beneficiary request accepted, see response body for status

This model is a representation of a mass beneficiary.

mass_beneficiary_id
string<uuid>
required

Unique UUID of the mass beneficiary.

error
object | null
required

The generic error message for the mass beneficiary request, if any.

Links to the resources related to the errored and successfully created beneficiaries of a mass beneficiary. The mass_beneficiary_id does not need to be stored, as these resources may be accessed with the provided links.

summary
object
required

Categorized counters for the mass beneficiary.

status
enum<string>
required

The status of a mass beneficiary instruction:

  • pending: The mass beneficiary is pending to be processed.
  • creating: The mass beneficiary is being processed.
  • created: The mass beneficiary has been successfully processed.
  • failed: The mass beneficiary has failed during processing.
  • unknown: The mass beneficiary has an unknown status.
Available options:
pending,
creating,
created,
failed,
unknown